<!--
/*
 * Title:       SrPago Payment Gateway
 * Author:      Roberto Ramírez
 * URL:         https://www.srpago.com
 */
-->
<div class="payment-method" data-bind="css: {'_active': (getCode() == isChecked())}">
    <div class="payment-method-title field choice">
        <input type="radio"
               name="payment[method]"
               class="radio"
               data-bind="attr: {'id': getCode()}, value: getCode(), checked: isChecked, click: selectPaymentMethod, visible: isRadioButtonVisible()"/>
        <label class="label" data-bind="attr: {'for': getCode()}">
            <span data-bind="text: getTitle()"></span>
        </label>
    </div>

    <div class="payment-method-content">
        <!-- ko foreach: getRegion('messages') -->
        <!-- ko template: getTemplate() --><!-- /ko -->
        <!--/ko-->
        <div class="payment-method-billing-address">
            <!-- ko foreach: $parent.getRegion(getBillingAddressFormName()) -->
            <!-- ko template: getTemplate() --><!-- /ko -->
            <!--/ko-->
        </div>

        <form class="form" data-bind="attr: {'id': getCode() + '-form'}">
            <input type="hidden" id="card_token" name="card_token" value="" >

            <fieldset class="fieldset ccard">
                <div class="field number required">
                    <label class="label" for="card_holder_name">
                        <span>Nombre del titular</span>
                    </label>
                    <div class="control">
                        <input type="text" id="card_holder_name" name="card_holder_name" class="input-text" required >
                    </div>
                </div>
            </fieldset>

            <!-- ko template: 'Magento_Payment/payment/cc-form' --><!-- /ko -->

            <!-- ko if: activeMonthlyInstallments() && getTotal() >= getMinimumAmountMonthlyInstallments() -->
                <fieldset class="fieldset ccard">
                    <div class="field type">
                        <label class="label" for="srpago_monthly_installments">
                            <span>Meses sin intereses</span>
                        </label>
                        <div class="control">
                            <select id="srpago_monthly_installments" name="monthly_installments" class="select" data-bind="options: getMonthlyInstallments(),
                            optionsText: function(month) {
                                if (month == 1) {
                                    return 'Un solo pago';
                                } else {
                                    return month + ' meses';
                                }
                           }"></select>
                        </div>
                    </div>
                </fieldset>
            <!--/ko-->
        </form>

        <div class="checkout-agreements-block">
            <!-- ko foreach: $parent.getRegion('before-place-order') -->
            <!-- ko template: getTemplate() --><!-- /ko -->
            <!--/ko-->
        </div>

        <div class="actions-toolbar">
            <div class="primary">
                <button class="action primary checkout"
                        type="submit"
                        data-bind="
                        click: preparePayment,
                        attr: {title: $t('Place Order')}
                        ">
                    <span data-bind="i18n: 'Place Order'"></span>
                </button>
            </div>
        </div>
    </div>
</div>
